- Qt 5.15
- Qt Quick
- C++ Classes
- QSGDynamicTexture
- Qt 5.15.19 Reference Documentation

# QSGDynamicTexture Class

The QSGDynamicTexture class serves as a baseclass for dynamically changing textures, such as content that is rendered to FBO's. More...

Header: | #include <QSGDynamicTexture>
qmake: | QT += quick
Inherits: | QSGTexture

- List of all members, including inherited members

## Public Functions

virtual bool | updateTexture() = 0

## Detailed Description

To update the content of the texture, call updateTexture() explicitly. Simply calling bind() will not update the texture.

Note: All classes with QSG prefix should be used solely on the scene graph's rendering thread. See Scene Graph and Rendering for more information.

## Member Function Documentation

### `[pure virtual]` bool QSGDynamicTexture::updateTexture()

Call this function to explicitly update the dynamic texture.

The function returns true if the texture was changed as a resul of the update; otherwise returns false.

Note: This function is typically called from QQuickItem::updatePaintNode() or QSGNode::preprocess(), meaning during the `synchronization` or the `node preprocessing` phases of the scenegraph. Calling it at other times is discouraged and can lead to unexpected behavior.